# PSF-LoginServer - master - net.psforever.objects.ballistics.ObjectSource
PSF - LoginServer - master - net.psforever.objects.ballistics.ObjectSource
Keywords: PSF LoginServer master net.psforever.objects.ballistics.ObjectSource

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package ballistics
  Definition Classes
    objects
- AggravatedDamage
- AggravatedInfo
- AggravatedTiming
- ChargeDamage
- DeployableSource
- NonvitalDefinition
- ObjectSource
- PlayerSource
- Projectile
- ProjectileQuality
- Projectiles
- SameAsQuality
- SourceEntry
- VehicleSource

c

net.psforever.objects.ballistics

# ObjectSource 

###
Companion object ObjectSource

#### final case class ObjectSource(obj: PlanetSideGameObject, faction: types.PlanetSideEmpire.Value, position: Vector3, orientation: Vector3, velocity: Option[Vector3]) extends SourceEntry with Product with Serializable

Source
  ObjectSource.scala

Linear Supertypes
Serializable, Product, Equals, SourceEntry, WorldEntity, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectSource
2. Serializable
3. Product
4. Equals
5. SourceEntry
6. WorldEntity
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ObjectSource(obj: PlanetSideGameObject, faction: types.PlanetSideEmpire.Value, position: Vector3, orientation: Vector3, velocity: Option[Vector3])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CharId: Long
   Definition Classes
     SourceEntry
5.  def Definition: ObjectDefinition with VitalityDefinition
   Definition Classes
     ObjectSource → SourceEntry
6.  def Faction: types.PlanetSideEmpire.Value
   Definition Classes
     ObjectSource → SourceEntry
7.  def Modifiers: ResistanceProfileMutators
   Definition Classes
     ObjectSource → SourceEntry
8.  def Name: String
   Definition Classes
     ObjectSource → SourceEntry
9.  def Orientation: Vector3
   Definition Classes
     ObjectSource → WorldEntity
10.  def Orientation_=(pos: Vector3): Vector3
    Definition Classes
      SourceEntry → WorldEntity
11.  def Position: Vector3
    Definition Classes
      ObjectSource → WorldEntity
12.  def Position_=(pos: Vector3): Vector3
    Definition Classes
      SourceEntry → WorldEntity
13.  def Velocity: Option[Vector3]
    Definition Classes
      ObjectSource → WorldEntity
14.  def Velocity_=(pos: Option[Vector3]): Option[Vector3]
    Definition Classes
      SourceEntry → WorldEntity
15.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
16.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
17.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  val faction: types.PlanetSideEmpire.Value
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
24.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
25.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  val obj: PlanetSideGameObject
30.  val orientation: Vector3
31.  val position: Vector3
32.  def productElementNames: Iterator[String]
    Definition Classes
      Product
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  val velocity: Option[Vector3]
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SourceEntry

### Inherited from WorldEntity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped